## ros-indigo-nao-robot 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-nao-robot (0.5.15-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 23 Nov 2016 08:00:00 -0000

ros-indigo-nao-robot (0.5.14-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 23 Jan 2016 08:00:00 -0000

ros-indigo-nao-robot (0.5.13-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 16 Jan 2016 08:00:00 -0000

ros-indigo-nao-robot (0.5.12-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 01 Jan 2016 08:00:00 -0000

ros-indigo-nao-robot (0.5.11-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-nao-robot (0.5.10-0trusty) trusty; urgency=high

  * remove nao_pose
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-indigo-nao-robot (0.5.9-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-robot (0.5.8-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-robot (0.5.7-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Mar 2015 07:00:00 -0000

ros-indigo-nao-robot (0.5.6-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Feb 2015 08:00:00 -0000

ros-indigo-nao-robot (0.5.5-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-robot (0.5.4-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-robot (0.5.3-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sun, 14 Dec 2014 08:00:00 -0000

ros-indigo-nao-robot (0.5.2-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-nao-robot (0.5.1-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-nao-robot (0.5.0-0trusty) trusty; urgency=high

  * transfer nao_robot
  * 0.4.1
  * update changelogs
  * get the accent right in Séverin's name
  * 0.4.0
  * update changelogs
  * 0.3.0
  * update changelogs
  * update maintainers
    Armin, thank you for all your work, in ROS, Octomap and NAO.
    Good luck out of the university !
  * "0.2.3"
  * Changelogs
  * {ahornung->ros-nao}
  * {ahornung->ros-nao}
  * Update nao_robot package.xml
  * "0.2.2"
  * changelog
  * "0.2.1"
  * Changelogs
  * "0.2.0"
  * Adding (edited) catkin-generated changelogs
  * Adding bugtracker and repo URLs to package manifests
  * Fix nao_robot metapackage xml
  * Add run_depends to nao_robot metapackage
  * Initial catkinization.
    Beware! Compilation of nao_sensors_cpp has been temporarily disabled.
  * Contributors: Armin Hornung, Karsten Knese, Miguel Sarabia, Séverin Lemaignan, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-robot
Section: misc
Priority: extra
Maintainer: Séverin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/nao_robot
Standards-Version: 3.9.2

Package: ros-indigo-nao-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nao-apps, ros-indigo-nao-bringup, ros-indigo-nao-description
Description: The nao_robot metapackage contains some useful nodes to integrate the Nao humanoid robot into ROS.
 Check out the nao_extras stack for more functionality. The humanoid_navigation stack contains some more general packages for humanoid/biped robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-robot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
